<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="UTF-8" />
<title>Person List</title>
<link rel="stylesheet" type="text/css" th:href="@{/css/style.css}" />
</head>
<body>

	<div th:fragment="panier">

		<div th:if="${session.user!=null}">
			<h2 style="color: red">Mon Caddie</h2>
			<table border="1">
				<tr>
					<th>idarticle</th>
					<th>Marque</th>
					<th>Prix Unitaire</th>
					<th>quantité</th>
					<th>Total</th>
				</tr>
				<tr th:each="panier : ${paniers}">
					<td th:utext="${panier.article.marque}">...</td>
					<td th:utext="${panier.article.description}">...</td>
					<td th:utext="${panier.article.prixunitaire}">...</td>
					<form method="POST" action="/panier/updateQtePanier">
						<input type="hidden" name="id" th:value="${panier.idpanier}">
						<td><input type="number" name="qte" min="0" max="100"
							th:value="${panier.quantite}" onchange="this.form.submit()"></td>
					</form>
					<td
						th:utext="${#numbers.formatDecimal(panier.quantite*panier.article.prixunitaire, 1, 2)}">...</td>
					<td>
						<form method="POST" action="/panier/deletePanier">
							<input type="hidden" name="id" th:value="${panier.idpanier}">
							<input type="submit" value="Supprimer">
						</form>
					</td>
				</tr>
				<tr>
					<th colspan="4">Total Caddie</th>
					<th colspan="2" th:utext="${total}"></th>
				</tr>
			</table>
		</div>
	</div>
</body>
</html>